Subject: Re: bug#57207: 29.0.50; Fontification is slow after e7b5912b23 (Improvements to long lines handling)

From: Gregory Heytings <[email-masked]>
Date: Tue, 16 Aug 2022 12:24:44 +0000

>
> Clarification: I was unable to trigger the hang again. I am not sure 
> what I did the first time (I played with long-line-threshold values 
> inside the same Org buffer),
>

That wouldn't work (or at least it might not do what you expect): once a 
too long line has been found in the buffer the long line optimizations are 
enabled, and long lines are not detected anymore.

>
> but I suspect that there were also some errors raised in the Org 
> fontification code - parts of the buffer got wrong fontification just 
> before the hang. Of course, these errors are probably also an indication 
> that something is going wrong, but the hang may not be directly related 
> to the slowdown.
>
> Throughout my today's attempts to reproduce, I did not see any obvious 
> difference in the slowdown between 10000 and 100000 long-line-threshold 
> values.
>

Okay, so my guess is that it's in fact something in the Org fontification 
code which infloops when locked narrowing is enabled.